#include <bits/stdc++.h>

using namespace std;

vector < pair<double,int> > a;
long long int z[200000];

int main(){
	ios::sync_with_stdio(false); cin.tie(0);
	int n,i,b; double c; cin>>n;
	
	for(i=0;i<n;i++){
		cin>>b>>c;
        a.push_back(make_pair(c,b));
	}
	sort(a.rbegin(),a.rend());
	z[0]=a[0].second;
	
	for(i=1;i<n;i++){
		z[i]=z[i-1]+a[i].second;
	}
	
	double max=((double)(z[0]))*((double)(a[0].first/100));
	
	for(i=1;i<n;i++){
		if(((double)(z[i]))*((double)(a[i].first/100))>max){
			max=((double)(z[i]))*((double)(a[i].first/100));
		}
	}
	cout<<fixed<<setprecision(4)<<max;
	
	return 0;
}